Bug 245220 - [patch] Remove db48 dependency from net-p2p/bitcoin
Summary: [patch] Remove db48 dependency from net-p2p/bitcoin
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Kevin Bowling
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-03-31 19:11 UTC by Vasil Dimov
Modified: 2020-06-02 13:28 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (kbowling)
vd: maintainer-feedback? (kbowling)


Attachments
remove db48 dependency (4.71 KB, patch)
2020-03-31 19:11 UTC, Vasil Dimov
no flags Details | Diff
remove db48 dependency, make sure we link against the correct bdb if more than one is installed (4.78 KB, patch)
2020-04-01 09:20 UTC, Vasil Dimov
vd: maintainer-approval? (kbowling)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Vasil Dimov freebsd_committer 2020-03-31 19:11:25 UTC
Created attachment 212914 [details]
remove db48 dependency

In r465909 [1], 2 years ago, we added the option to link net-p2p/bitcoin* against db 5 or 6, still allowing to link against db 4.8 which is long time EOL and has been deprecated and marked for deletion in 2014 [2].

Now remove the option to link bitcoin core against db48, so that it does not depend on it anymore and the latter can be finally removed from the ports tree.

[1]
https://svnweb.freebsd.org/ports?view=revision&revision=465909
https://github.com/freebsd/freebsd-ports/commit/68892c74876772806eaca3a9ecc1308e9459acea

[2]
https://github.com/freebsd/freebsd-ports/commit/b0113421712e3e2543fa9e1e0726502ef475e372#diff-9385162ec22da88a3a66c47891cbde67R19
Comment 1 Vasil Dimov freebsd_committer 2020-04-01 09:20:05 UTC
Created attachment 212923 [details]
remove db48 dependency, make sure we link against the correct bdb if more than one is installed
Comment 2 Rene Ladan freebsd_committer 2020-04-01 19:32:45 UTC
Note that there are also net-p2p/litecoin, net-p2p/namecoin and net-p2p/zetacoin that still link to db48. namecoin has no 5+ option at all.
Comment 3 Vasil Dimov freebsd_committer 2020-04-02 06:48:07 UTC
Rene, thanks for the note. I will followup with them. One step at a time :)
Comment 4 Vasil Dimov freebsd_committer 2020-04-20 08:26:40 UTC
Ping
Comment 5 commit-hook freebsd_committer 2020-05-01 16:57:32 UTC
A commit references this bug:

Author: vd
Date: Fri May  1 16:56:34 UTC 2020
New revision: 533562
URL: https://svnweb.freebsd.org/changeset/ports/533562

Log:
  net-p2p/bitcoin*: remove db48 dependency

  In r465909 [1], 2 years ago, we added the option to link
  net-p2p/bitcoin* against db 5 or 6, still allowing to link against db
  4.8 which is long time EOL and has been deprecated and marked for
  deletion in 2014 [2].

  Now remove the option to link net-p2p/bitcoin* against db48, so the
  former does not depend on the latter anymore and db48 can be eventually
  removed from the ports tree.

  [1]
  https://svnweb.freebsd.org/ports?view=revision&revision=465909
  https://github.com/freebsd/freebsd-ports/commit/68892c74876772806eaca3a9ecc1308e9459acea

  [2]
  https://github.com/freebsd/freebsd-ports/commit/b0113421712e3e2543fa9e1e0726502ef475e372#diff-9385162ec22da88a3a66c47891cbde67R19

  PR:		245220
  Submitted by:	vd
  Approved by:	kbowling (maintainer timeout)

Changes:
  head/net-p2p/bitcoin/Makefile
  head/net-p2p/bitcoin/pkg-help
  head/net-p2p/bitcoin-daemon/Makefile
  head/net-p2p/bitcoin-utils/Makefile
Comment 6 Vasil Dimov freebsd_committer 2020-05-01 16:59:08 UTC
Committed
Comment 7 commit-hook freebsd_committer 2020-06-02 13:25:33 UTC
A commit references this bug:

Author: mandree
Date: Tue Jun  2 13:25:14 UTC 2020
New revision: 537552
URL: https://svnweb.freebsd.org/changeset/ports/537552

Log:
  databases/db48: Axe. Expired 25 months ago, no users left.

  Thanks to vd@'s preparation around PR 245220 and r533562,
  we can now finally axe databases/db48 before 2020Q3 branches.

  PR:		245220 (related)

Changes:
  head/Mk/Uses/bdb.mk
  head/databases/Makefile
  head/databases/db48/